Bug 551264 - [abrt] crash detected in audacious-2.1-7.fc12 : in play_cue_uri ()
Summary: [abrt] crash detected in audacious-2.1-7.fc12 : in play_cue_uri ()
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: audacious-plugins
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Michael Schwendt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:a22f64dd27f96f6e5b1eb278c09...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-29 17:53 UTC by dobs
Modified: 2010-02-02 01:10 UTC (History)
2 users (show)

Fixed In Version: 0.4-1.fc12.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-02 01:10:54 UTC


Attachments (Terms of Use)
File: backtrace (16.68 KB, text/plain)
2009-12-29 17:53 UTC, dobs
no flags Details

Description dobs 2009-12-29 17:53:42 UTC
abrt 1.0.0 detected a crash.

Attached file: backtrace
cmdline: audacious2
component: audacious
executable: /usr/bin/audacious2
kernel: 2.6.31.9-174.fc12.x86_64
package: audacious-2.1-7.fc12
rating: 3
reason: Process was terminated by signal 11

Comment 1 dobs 2009-12-29 17:53:44 UTC
Created attachment 380830 [details]
File: backtrace

Comment 2 Michael Schwendt 2009-12-29 21:15:19 UTC
Is there anything you could do to add the missing -debuginfo packages and recreate the backtrace in ABRT? Running "debuginfo-install -y audacious-plugins" as root user may be helpful. All I see is that the cuesheet input plugin crashed, but the details are absent. What are the steps to reproduce this?

The cuesheet plugin will change _completely_ in Audacious 2.2, so unless you can fill in the missing details, there probably won't be a fix.

Comment 3 dobs 2009-12-31 19:10:47 UTC
Hello, happy New Year!

What are the steps to reproduce this?
- I simply listened music and he turn off

recreate the backtrace in ABRT
- how I can do it?


debuginfo-install -y audacious-plugins
- I install it...

Comment 4 Michael Schwendt 2010-01-01 11:56:02 UTC
> I simply listened music and he turn off

Be more verbose, please. What sort of music format? The cuesheet (for .cue files) input plugin was involved.


> recreate the backtrace in ABRT
> - how I can do it?

Start "Applications > System Tools > Automatic Bug Reporting Tool", open the bug entry for "audacious" and click "Refresh" at the bottom.

Comment 5 Fedora Update System 2010-01-01 12:44:53 UTC
audacious-plugin-fc-0.4-1.fc12.2,audacious-plugins-2.2-7.fc12,audacious-2.2-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/audacious-plugin-fc-0.4-1.fc12.2,audacious-plugins-2.2-7.fc12,audacious-2.2-4.fc12

Comment 6 dobs 2010-01-01 20:09:17 UTC
Be more verbose, please. What sort of music format? The cuesheet (for .cue
files) input plugin was involved.
- mp3

Start "Applications > System Tools > Automatic Bug Reporting Tool", open the
bug entry for "audacious" and click "Refresh" at the bottom.  

I delete this bug after report :(

Comment 7 Fedora Update System 2010-01-02 03:33:43 UTC
audacious-plugin-fc-0.4-1.fc12.2, audacious-plugins-2.2-7.fc12, audacious-2.2-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update audacious-plugin-fc audacious-plugins audacious'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0028

Comment 8 Michael Schwendt 2010-01-02 11:37:22 UTC
The backtrace you posted here shows no evidence of mp3 playback. The player started the "cuesheet-ng" plugin for playing .cue files. Unfortunately, the backtrace is useless, so try to reproduce the problem with Audacious 2.2 from updates-testing once the mp3 plugins will be available from the repository where you downloaded them.

Comment 9 Fedora Update System 2010-01-05 22:54:41 UTC
audacious-plugin-fc-0.4-1.fc12.2, audacious-2.2-4.fc12, audacious-plugins-2.2-8.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update audacious-plugin-fc audacious audacious-plugins'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0028

Comment 10 Fedora Update System 2010-01-12 23:31:18 UTC
audacious-plugin-fc-0.4-1.fc12.2, audacious-2.2-4.fc12, audacious-plugins-2.2-10.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update audacious-plugin-fc audacious audacious-plugins'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0028

Comment 11 Fedora Update System 2010-01-12 23:32:12 UTC
audacious-plugin-fc-0.4-1.fc12.2, audacious-2.2-4.fc12, audacious-plugins-2.2-10.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update audacious-plugin-fc audacious audacious-plugins'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0028

Comment 12 Fedora Update System 2010-01-12 23:33:00 UTC
audacious-plugin-fc-0.4-1.fc12.2, audacious-2.2-4.fc12, audacious-plugins-2.2-10.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update audacious-plugin-fc audacious audacious-plugins'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0028

Comment 13 Fedora Update System 2010-01-26 00:58:28 UTC
audacious-plugin-fc-0.4-1.fc12.2, audacious-2.2-7.fc12, audacious-plugins-2.2-10.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update audacious-plugin-fc audacious audacious-plugins'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0028

Comment 14 Michael Schwendt 2010-01-27 10:42:12 UTC
Third-party add-on packages for Audacious 2.2 are available
in their respective -updates-testing repository.

Please give feedback on the Audacious 2.2 test update:
http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0028

There are no plans to continue with Audacious 2.1.

Comment 15 Fedora Update System 2010-02-01 01:24:39 UTC
audacious-plugin-fc-0.4-1.fc12.2, audacious-plugins-2.2-10.fc12.pl14, audacious-2.2-10.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update audacious-plugin-fc audacious-plugins audacious'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0028

Comment 16 Fedora Update System 2010-02-02 01:09:59 UTC
audacious-plugin-fc-0.4-1.fc12.2, audacious-plugins-2.2-10.fc12.pl14, audacious-2.2-10.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.